ALTER TABLE NNASSISTANCE
ADD NOTIFICATION_TITLE VARCHAR2(200 CHAR);

DROP VIEW V_ASSISTANCE;

CREATE OR REPLACE VIEW V_ASSISTANCE
AS (
SELECT A.ID, A.ID_LASTNIKA, A.ASSISTANCE_TYPE, A.STATUS, A.ASSISTANCE_DATE, A.ASSISTANCE_COMMENT, A.NNLOCATION_ID, A.ID_PLOVILA,
S.DESCRIPTION AS STATUS_DESCRIPTION, N.OPIS AS NNASSISTANCE_OPIS, N.INTERNI_OPIS AS NNASSISTANCE_INTERNI_OPIS, N.ALARM AS NNASSISTANCE_ALARM, N.EMAIL AS NNASSISTANCE_EMAIL,
K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, K.VRSTA AS KUPCI_VRSTA, K.MANAGER AS KUPCI_MANAGER, K.NDRZAVA AS KUPCI_NDRZAVA, K.KODA_JEZIKA AS KUPCI_KODA_JEZIKA, NL.OPIS AS NNLOCATION_OPIS,
(CASE WHEN (SELECT VREDNOST FROM S_NASTAVITVE WHERE FILTER = 'MARINA' AND SEKCIJA = 'MARINA' AND NAZIV = 'ChangeFirstLastName') = '1' THEN (K.IME || ' ' || K.PRIIMEK) ELSE (K.PRIIMEK || ' ' || K.IME) END) AS OWNER
FROM ASSISTANCE A
LEFT OUTER JOIN NNASSISTANCE N ON N.ID = A.ASSISTANCE_TYPE
LEFT OUTER JOIN ASSISTANCE_STATUS S ON S.ID_ASSISTANCE_STATUS = A.STATUS
LEFT OUTER JOIN KUPCI K ON A.ID_LASTNIKA = K.ID
LEFT OUTER JOIN NNLOCATION NL ON NL.ID = A.NNLOCATION_ID
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2132, SYSDATE, '5.5', 2052, 'Assistance')
;
